
Foreman - Bug #313

Edit multiple hosts returns 404

06/07/2010 03:23 PM - Dis Connect

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Processing HostsController#index (for 10.0.5.128 at 2010-06-07 10:21:16) [GET]

Parameters: {"commit"=>"Go", "via"=>"fact_values_", "tab_name"=>"", "action"=>"index", "controller"=>"hosts",

"search"=>{"name_like"=>"build", "fact_values_fact_name_id_eq"=>"", "order"=>"", "hostgroup_id_eq"=>""}}

Rendering template within layouts/standard

Rendering hosts/index

Completed in 306ms (View: 233, DB: 53) | 200 OK [

http://10.0.0.4/?search%5Border%5D=&search%5Bname_like%5D=build&search%5Bhostgroup_id_eq%5D=&via=fact_values_&sea

rch%5Bfact_values_fact_name_id_eq%5D=&commit=Go&tab_name=]

Processing HostsController#multiple_actions (for 10.0.5.128 at 2010-06-07 10:21:21) [GET]

Parameters: {"commit"=>"Edit Multiple Hosts", "host_ids"=>["378", "533", "644", "645"], "action"=>"multiple_actions",

"controller"=>"hosts"}

ActiveRecord::RecordNotFound (Couldn't find all Hosts with IDs

(530,323,320,328,329,332,333,334,335,336,342,344,352,353,354,356,357,359,316,363,378,533,644,645) (found 23 results, but was

looking for 24)):

app/controllers/hosts_controller.rb:407:in `find_multiple'

/usr/lib/ruby/1.8/mongrel.rb:159:in `process_client'

/usr/lib/ruby/1.8/mongrel.rb:158:in `each'

/usr/lib/ruby/1.8/mongrel.rb:158:in `process_client'

/usr/lib/ruby/1.8/mongrel.rb:285:in `run'

/usr/lib/ruby/1.8/mongrel.rb:285:in `initialize'

/usr/lib/ruby/1.8/mongrel.rb:285:in `new'

/usr/lib/ruby/1.8/mongrel.rb:285:in `run'

/usr/lib/ruby/1.8/mongrel.rb:268:in `initialize'

/usr/lib/ruby/1.8/mongrel.rb:268:in `new'

/usr/lib/ruby/1.8/mongrel.rb:268:in `run'

Rendering /usr/share/foreman/public/404.html (404 Not Found)

Associated revisions

Revision 2195e30c - 10/03/2010 01:23 PM - Ohad Levy

fixes #313 - Edit multiple hosts returns 404

Revision e3996579 - 10/03/2010 02:32 PM - Ohad Levy

fixes #313 - Edit multiple hosts returns 404

History

#1 - 06/10/2010 05:30 PM - Ohad Levy

- Target version set to 0.1-6

were you able to reproduce this problem?
http://10.0.0.4/?search%5Border%5D=&search%5Bname_like%5D=build&search%5Bhostgroup_id_eq%5D=&via=fact_values_&search%5Bfact_values_fact_name_id_eq%5D=&commit=Go&tab_name=
http://10.0.0.4/?search%5Border%5D=&search%5Bname_like%5D=build&search%5Bhostgroup_id_eq%5D=&via=fact_values_&search%5Bfact_values_fact_name_id_eq%5D=&commit=Go&tab_name=


so far, the only edge case I could think of is if a host gets deleted while being selected.

#2 - 10/03/2010 02:24 AM - Robin Bowes

I've just hit this issue too.

Am stuck with the 404 error if I try and edit/delete multiple hosts.

#3 - 10/03/2010 05:29 AM - Ohad Levy

- Status changed from New to Need more information

Robin Bowes wrote:

I've just hit this issue too.

Am stuck with the 404 error if I try and edit/delete multiple hosts.

 can you provide some more info(logs etc)... I'm not sure at the moment what might be causing this...

#4 - 10/03/2010 01:25 PM - Ohad Levy

- Status changed from Need more information to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 2195e30cfc46f7900eb710a007c14ee1711cf831.

#5 - 10/03/2010 03:10 PM - Ohad Levy

Applied in changeset e3996579f8f403fd3d30d01e9d339bbf639e7c37.

#6 - 10/04/2010 09:02 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
